gensio_alloc_channel(3)

NAME
gensio_alloc_channel - Create a new channel on a channel-capable gensio

SYNOPSIS
#include <gensio/gensio.h>

int gensio_alloc_channel(struct gensio *io, const char * const args[],
    gensio_event cb, void *user_data,
    struct gensio **new_io);

DESCRIPTION
gensio_alloc_channel creates a new channel on a channel-capable gensio. The exact meaning of channel, and the meaning of args depends on the particular gensio, see the the particular gensio class in gensio(5). The new gensio created will be closed and you must call gensio_open on it to start it up.

RETURN VALUES
Zero is returned on success, or a gensio error on failure.

SEE ALSO
gensio_err(3), gensio(5), gensio_os_funcs(3), gensio_event(3), gensio_open(3)